Bug 88162 - [Qt] Rename QtWebKit into QtWebKitWidgets
Summary: [Qt] Rename QtWebKit into QtWebKitWidgets
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Hausmann
URL:
Keywords:
Depends on: 88161 98268
Blocks: 76773 99314
  Show dependency treegraph
 
Reported: 2012-06-02 00:09 PDT by Simon Hausmann
Modified: 2012-10-16 09:49 PDT (History)
10 users (show)

See Also:


Attachments
Patch (18.72 KB, patch)
2012-09-19 02:38 PDT, Simon Hausmann
kenneth: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Hausmann 2012-06-02 00:09:09 PDT
As explained upstream in https://bugreports.qt-project.org/browse/QTBUG-24857 , we should introduce QtWebKitWidgets as the module in Qt 5 that contains QWebView/QGraphicsWebView.
Comment 1 Simon Hausmann 2012-09-19 02:38:43 PDT
Created attachment 164698 [details]
Patch
Comment 2 Simon Hausmann 2012-09-27 23:11:22 PDT
While this patch is a stop-gap I'm going to try to do the real split.
Comment 3 Simon Hausmann 2012-10-15 05:53:01 PDT
Slight change of plans due to Qt 5 time line adjustments. I'm going to land the QT += webkit -> QT += webkitwidgets rename of this patch while Pierre and I continue to work on the _real_ split, which will be tracked in a separate bug.

This allows introducing the third-party developer visible changes now while we continue to do the remaining changes under the hood (of which I'm optimistic now that we can do them).
Comment 4 Simon Hausmann 2012-10-15 07:06:25 PDT
Committed r131300: <http://trac.webkit.org/changeset/131300>
Comment 5 Rafael Brandao 2012-10-15 14:41:19 PDT
It seems that this broke Qt Mountain Lion Release bot, probably after a clean build. How should I proceed? A qt5 update should fix this? I've thought we would update qt5 only next week.
Comment 6 Rafael Brandao 2012-10-15 14:42:53 PDT
Weird, it is now working. But the build failure indeed happened at some point: http://build.webkit.org/builders/Qt%20Mountain%20Lion%20Release/builds/3567 Any ideas?
Comment 7 Rafael Brandao 2012-10-16 09:49:40 PDT
Now it's back to compile failure. Something is wrong, it is not creating WebKitBuild/Release/lib and then cannot find the directory. :-(